Update a project
curl --request PUT \
--url https://web.subly.app/api/v1/projects/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"budget_amount": 123,
"budget_currency": "<string>"
}
'import requests
url = "https://web.subly.app/api/v1/projects/{id}"
payload = {
"name": "<string>",
"budget_amount": 123,
"budget_currency": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', budget_amount: 123, budget_currency: '<string>'})
};
fetch('https://web.subly.app/api/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"budget_amount": 123,
"budget_period": "month",
"budget_currency": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Projects
Update a project
Updates the details of an existing project using its unique ID.
PUT
/
projects
/
{id}
Update a project
Authorizations
Your private API key for authentication. This key identifies your workspace for all requests.
Path Parameters
The unique identifier for the project.
Body
application/json
Response
Project updated successfully.
Unique identifier for the project.
The name of the project.
Identifier of the workspace this project belongs to.
The financial budget allocated to the project.
The time period the budget covers.
Available options:
month, year The ISO 4217 currency code for the budget amount (e.g., 'USD', 'AUD').
Was this page helpful?